Package: groovy.org.codenarc.rule.basic

## [Groovy] Class ConstantTernaryExpressionRule

- groovy.org.codenarc.rule.basic.ConstantTernaryExpressionRule

- Rule that checks for ternary expressions with a constant value for the boolean expression, such as:

  - `true ? x : y`
  - `false ? x : y`
  - `Boolean.TRUE ? x : y`
  - `Boolean.FALSE ? x : y`
  - `null ? x : y`
  - `0 ? x : y`
  - `99.7 ? x : y`
  - `"" ? x : y`
  - `"abc" ? x : y`
  - `[:] ? x : y`
  - `[a:123, b:456] ? x : y`
  - `[a, b, c] ? x : y`
  Also checks for the same types of constant values for the boolean expressions within the "short" ternary expressions, also known as the "Elvis" operator, e.g.:
  - `true ?: y`
  - `null ?: y`
  - `99.7 ?: y`
  - `"abc" ?: y`
  - `[a:123] ?: y`
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority